Appearance
propertydb-site
5 endpoints.
POST /api/v1/propertydb-site/login
Site Login
Request body
json
{
"properties": {
"password": {
"type": "string",
"title": "Password"
}
},
"type": "object",
"required": [
"password"
],
"title": "_Login"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/propertydb-site/auctions
Site Public Auctions
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
province | query | no | ||
city | query | no | ||
area | query | no | ||
property_type | query | no | ||
sheriff | query | no | ||
creditor | query | no | ||
q | query | no | ||
min_beds | query | no | ||
min_baths | query | no | ||
garage | query | no | boolean | |
min_reserve | query | no | ||
max_reserve | query | no | ||
no_reserve | query | no | boolean | |
min_extent | query | no | ||
date_from | query | no | ||
date_to | query | no | ||
ends | query | no | ||
kind | query | no | string | |
source | query | no | ||
vendor | query | no | ||
sort | query | no | string | |
page | query | no | integer | |
per_page | query | no | integer |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/propertydb-site/facets
Site Public Facets
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
kind | query | no | string |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/propertydb-site/auctions/{listing_id}
Site Public Auction
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
listing_id | path | yes | integer |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/propertydb-site/auctions/{listing_id}/area-sales
Site Public Auction Area Sales
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
listing_id | path | yes | integer | |
refresh | query | no | boolean |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}